Name:           ovaldi
Version:        5.5.4
Release:        1%{?dist}
Summary:        Reference implementation of the OVAL interpreter

Group:          Applications/System
License:        BSD
URL:            http://oval.mitre.org/language/download/interpreter/index.html
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
Patch0:         ovaldi-5.4.2-rpm46.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcre-devel xerces-c-devel xalan-c-devel rpm-devel > 4.4
BuildRequires:  dos2unix

%description
The OVAL Interpreter is a freely available reference implementation created
to show how information can be collected from a computer for testing, to
evaluate and carry out the OVAL definitions for that platform, and to
report the results of the tests.


%prep
%setup -qn %{name}-%{version}-src
%patch0 -p1 -b .rpm46
# Nuke non-utf8 character
sed 's/[^ ] USEFUL LINKS/- USEFUL LINKS/' -i docs/README.txt
# Convert CRLF
dos2unix -k -q docs/README.txt
dos2unix -k -q docs/version.txt
dos2unix -k -q docs/terms.txt


%build
mkdir -p project/linux/Release/obj
# %{?_smp_mflags} can not be used
make -C project/linux CPPFLAGS='%{optflags} -D_RPM_4_4_COMPAT'


%install
rm -rf $RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/ovaldi
install -d $RPM_BUILD_ROOT%{_mandir}/man1

# Files
install -m 755 project/linux/Release/ovaldi $RPM_BUILD_ROOT%{_bindir}
install -m 644 docs/ovaldi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 xml/* $RPM_BUILD_ROOT%{_datadir}/ovaldi

# For compatibility with Debian definitions, which hardcode
# schema paths
ln -sf . $RPM_BUILD_ROOT%{_datadir}/ovaldi/xml


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ovaldi
%{_datadir}/ovaldi
%{_mandir}/man1/ovaldi.1*
%doc docs/README.txt docs/terms.txt docs/version.txt


%changelog
* Sun Oct 12 2008 Lubomir Rintel <lkundrak@v3.sk> 5.5.4-1
- New upstream build

* Wed Oct 1 2008 Lubomir Rintel <lkundrak@v3.sk> 5.5.3-1
- New upstream release

* Sun Jul 13 2008 Lubomir Rintel <lkundrak@v3.sk> 5.4.2-2
- Adjust for newer librpm

* Mon Apr 21 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.4.2-1
- New upstream release, all patches got merged
- Add /usr/share/ovaldi/xml symlink, to be compatible with Debian

* Mon Feb 11 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-6
- Rebuild for newer xerces-c

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-5
- Make the patch actually apply

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-4
- Fix handling of epochs

* Thu Jan 17 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-3
- Basically a new upstream release with the same version number

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-2
- Adding missing includes to fix build with gcc-4.3

* Mon Nov 19 2007 Lubomir Kundrak <lkundrak@redhat.com> 5.3-1
- Initial package
